Package org.eclipse.emf.cdo.spi.common.lock

# Class AbstractCDOLockState

java.lang.Object
org.eclipse.emf.cdo.spi.common.lock.AbstractCDOLockState

All Implemented Interfaces:
  `CDOBranchProvider`, `CDOIdentifiable`, `CDOLockState`, `CDOIDAndBranch`, `InternalCDOLockState`

public abstract class AbstractCDOLockState extends Object implements InternalCDOLockState

Since:
  4.15
Author:
  Eike Stepper
No Extend
  This class is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Object`
`lockedObject`

### Fields inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

`DEPTH_INFINITE, DEPTH_NONE`

### Fields inherited from interface org.eclipse.emf.cdo.spi.common.lock.InternalCDOLockState

`UNLOCKED`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCDOLockState(Object lockedObject)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract CDOLockDelta`
`addOptionOwner(CDOLockOwner owner)`
`final CDOLockDelta`
`addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`final void`
`addReadLockOwner(CDOLockOwner owner)`
Deprecated.
`protected abstract CDOLockDelta`
`addReadOwner(CDOLockOwner owner)`
`protected abstract CDOLockDelta`
`addWriteOwner(CDOLockOwner owner)`
`static void`
`appendLockOwner(StringBuilder builder, CDOLockOwner lockOwner)`
`static void`
`appendLockOwner(StringBuilder builder, CDOLockOwner lockOwner, boolean first)`
`final CDOLockDelta[]`
`clearOwner(CDOLockOwner owner)`
`final void`
`dispose()`
Deprecated.
`final boolean`
`equals(Object obj)`
`final CDOBranch`
`getBranch()`
`final CDOID`
`getID()`
`final Object`
`getLockedObject()`
Gets a unique identifier for the object that is locked; typically a `CDOID` or a `CDOIDAndBranch`, depending on whether branching support is enabled or not
`final int`
`hashCode()`
`void`
`remapID(CDOID newID)`
`protected abstract CDOLockDelta`
`removeOptionOwner(CDOLockOwner owner)`
`final boolean`
`removeOwner(CDOLockOwner owner)`
Deprecated.
`final CDOLockDelta`
`removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`final boolean`
`removeReadLockOwner(CDOLockOwner owner)`
Deprecated.
`protected abstract CDOLockDelta`
`removeReadOwner(CDOLockOwner owner)`
`protected abstract CDOLockDelta`
`removeWriteOwner(CDOLockOwner owner)`
`final void`
`setWriteLockOwner(CDOLockOwner owner)`
Deprecated.
`final void`
`setWriteOptionOwner(CDOLockOwner owner)`
Deprecated.
`final String`
`toString()`
`final void`
`updateFrom(Object object, CDOLockState source)`
Deprecated.
`final void`
`updateFrom(CDOLockState source)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

`getReadLockOwners, getWriteLockOwner, getWriteOptionOwner, isLocked`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.lock.InternalCDOLockState

`remapOwner`

## Field Details

### lockedObject

protected Object lockedObject

## Constructor Details

### AbstractCDOLockState

public AbstractCDOLockState(Object lockedObject)

## Method Details

### getLockedObject

public final Object getLockedObject()
Description copied from interface: `CDOLockState`
Gets a unique identifier for the object that is locked; typically a `CDOID` or a `CDOIDAndBranch`, depending on whether branching support is enabled or not

Specified by:
  `getLockedObject` in interface `CDOLockState`
Returns:
  the identifier

### getID

public final CDOID getID()

Specified by:
  `getID` in interface `CDOIdentifiable`

### remapID

public void remapID(CDOID newID)

Specified by:
  `remapID` in interface `InternalCDOLockState`

### getBranch

public final CDOBranch getBranch()

Specified by:
  `getBranch` in interface `CDOBranchProvider`
Specified by:
  `getBranch` in interface `CDOIDAndBranch`

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public final String toString()

Overrides:
  `toString` in class `Object`

### addOwner

public final CDOLockDelta addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)

Specified by:
  `addOwner` in interface `InternalCDOLockState`

### removeOwner

public final CDOLockDelta removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)

Specified by:
  `removeOwner` in interface `InternalCDOLockState`

### clearOwner

public final CDOLockDelta[] clearOwner(CDOLockOwner owner)

Specified by:
  `clearOwner` in interface `InternalCDOLockState`

### addReadOwner

protected abstract CDOLockDelta addReadOwner(CDOLockOwner owner)

### addWriteOwner

protected abstract CDOLockDelta addWriteOwner(CDOLockOwner owner)

### addOptionOwner

protected abstract CDOLockDelta addOptionOwner(CDOLockOwner owner)

### removeReadOwner

protected abstract CDOLockDelta removeReadOwner(CDOLockOwner owner)

### removeWriteOwner

protected abstract CDOLockDelta removeWriteOwner(CDOLockOwner owner)

### removeOptionOwner

protected abstract CDOLockDelta removeOptionOwner(CDOLockOwner owner)

### addReadLockOwner

@Deprecated public final void addReadLockOwner(CDOLockOwner owner)
Deprecated.

Specified by:
  `addReadLockOwner` in interface `InternalCDOLockState`

### removeReadLockOwner

@Deprecated public final boolean removeReadLockOwner(CDOLockOwner owner)
Deprecated.

Specified by:
  `removeReadLockOwner` in interface `InternalCDOLockState`

### setWriteLockOwner

@Deprecated public final void setWriteLockOwner(CDOLockOwner owner)
Deprecated.

Specified by:
  `setWriteLockOwner` in interface `InternalCDOLockState`

### setWriteOptionOwner

@Deprecated public final void setWriteOptionOwner(CDOLockOwner owner)
Deprecated.

Specified by:
  `setWriteOptionOwner` in interface `InternalCDOLockState`

### removeOwner

@Deprecated public final boolean removeOwner(CDOLockOwner owner)
Deprecated.

Specified by:
  `removeOwner` in interface `InternalCDOLockState`

### updateFrom

@Deprecated public final void updateFrom(CDOLockState source)
Deprecated.
Description copied from interface: `InternalCDOLockState`
Update the `lockOwners` of this lock state from the one passed in.

Specified by:
  `updateFrom` in interface `InternalCDOLockState`

### updateFrom

@Deprecated public final void updateFrom(Object object, CDOLockState source)
Deprecated.

Specified by:
  `updateFrom` in interface `InternalCDOLockState`

### dispose

@Deprecated public final void dispose()
Deprecated.

Specified by:
  `dispose` in interface `InternalCDOLockState`

### appendLockOwner

public static void appendLockOwner(StringBuilder builder, CDOLockOwner lockOwner, boolean first)

### appendLockOwner

public static void appendLockOwner(StringBuilder builder, CDOLockOwner lockOwner)